package com.rjconsultores.ventaboletos.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.MensajePuntoVentaDAO;
import com.rjconsultores.ventaboletos.entidad.Mensaje;
import com.rjconsultores.ventaboletos.entidad.MensajePuntoVenta;
import com.rjconsultores.ventaboletos.exception.BusinessException;
import com.rjconsultores.ventaboletos.service.MensajePuntaVentaService;

@Service("mensajePuntoVentaService")
public class MensajePuntoVentaServiceImpl implements MensajePuntaVentaService {

	@Autowired
	private MensajePuntoVentaDAO mensajePuntoVentaDAO;

	@Override
	public List<MensajePuntoVenta> obtenerTodos() {
		return mensajePuntoVentaDAO.obtenerTodos();
	}

	@Override
	public MensajePuntoVenta obtenerID(Integer id) {
		return mensajePuntoVentaDAO.obtenerID(id);
	}

	@Override
	@Transactional(rollbackFor = BusinessException.class)
	public void borrar(MensajePuntoVenta entidad) {
		mensajePuntoVentaDAO.borrar(entidad);
	}

	@Override
	@Transactional(rollbackFor = BusinessException.class)
	public MensajePuntoVenta suscribirActualizar(MensajePuntoVenta entidad) throws BusinessException {
		if (entidad.getMensajePuntoVendaId() == null) {
			return mensajePuntoVentaDAO.suscribir(entidad);
		} else {
			return mensajePuntoVentaDAO.actualizacion(entidad);
		}
	}

	@Override
	public List<MensajePuntoVenta> obtenerPorMensaje(Mensaje mensaje) {
		return mensajePuntoVentaDAO.obtenerPorMensaje(mensaje);
	}

}
